# Config file

```lua
Config, Locales = {}, {}

Config.Locale = 'en' -- en / pt (not yet) / es (not yet) / fr (not yet) / de (not yet)

Config.Debug = false -- true = debug | false = no debug

Config.UseOkokNotify = true -- true = okokNotify | false = qb-notify ( You can change the notification system on cl_utils.lua )

Config.EventPrefix = "okokMulticharacter" -- This will change the prefix of the events name so if Config.EventPrefix = "example" the events will be "example:event"

Config.ClothingSystem = "qb-clothing" -- qb-clothing / codem-appearance / illenium-appearance / fivem-appearance / other (changeable in cl_utils.lua)

Config.UseOkokSpawnSelector = true -- true = okokSpawnSelector | false = qb-spawnselector ( You can change the spawn selector on cl_utils.lua )

Config.MaxNormalCharacters = 3 -- Max characters per license

Config.MaxVipCharacters = 3 -- Max characters per license

Config.Currency = '€' -- The currency used on the script

Config.CurrencyonLeft = false -- true = The currency symbol will be in the left side | false = On the right side on UI

Config.SkipSpawnSelection = false -- true = skip spawn selection | false = don't skip spawn selection

Config.StartSpawnCoords = vector4(915.73, 54.46, 111.66, 14.83) -- Spawn coords for the first spawn without the spawn selector

Config.PedCoords = vector4(915.73, 54.46, 111.66, 14.83) -- Spawn ped coords

Config.UseTebex = true -- true = use the tebex to purchase licenses | false = use the Config.ExclusiveLicenses

Config.PackageID = 5533104 -- Open the package on tebex and get the ID from the URL

Config.ExclusiveLicenses = { -- If you want to add licenses with custom amount of characters (only if you are not using Config.UseTebex)
	{ license = 'license:2139218309123712308120', characters = 6 }
}

Config.BlacklistedWords = { -- Words that are not allowed on the character name
	-- Add the words you want to blacklist here
}

Config.StartItems = { -- If you want to add metadata you can go to sv_utils.lua and change the initialItemsInfo function
	{ name = 'driver_license', amount = 1 },
	{ name = 'id_card', 	   amount = 1 },
	{ name = 'phone', 		   amount = 1 },
}

Config.AnimationList = {
	 { animation = "amb@world_human_stand_guard@male@enter", name = "enter" },
	 { animation = "anim@mp_player_intcelebrationmale@salute", name = "salute" },
	 { animation = "amb@world_human_muscle_flex@arms_in_front@idle_a", name = "idle_a"  }
}

Config.Scenarios = {
	lossantoscasino = {
	   cameracoords = vector4(914.25, 57.66, 112.16, 188.17), 
	   hiddencoords = vector3(936.41, 59.1, 111.2),
	   peddeletecoords = vector3(907.75, 53.38, 111.7),
	   pedpositions = {
		   { coords = vector4(913.38, 53.09, 111.66, 343.88)},
		   { coords = vector4(914.7, 54.73, 111.66, 353.73)},
		   { coords = vector4(916.58, 53.66, 111.7, 26.73)},
	   },
   },
   office = {
	   cameracoords = vector4(384.78, -68.04, 104.20, 348.96), 
	   hiddencoords = vector3(380.03, -58.85, 103.36),
	   peddeletecoords = vector3(388.68, -68.59, 103.36),
	   pedpositions = {
		   { coords = vector4(386.91, -64.91, 103.36, 117.41)},
		   { coords = vector4(385.56, -63.4, 103.36, 169.82)},
		   { coords = vector4(383.87, -64.17, 103.36, 212.26)},
	   },
   },
	luxuryapp = {
	   cameracoords = vector4(-789.34, 328.95, 218.15, 270.12), 
	   hiddencoords = vector3(-793.39, 324.56, 217.04),
	   peddeletecoords = vector3(-788.46, 320.92, 217.04),
	   pedpositions = {
		   { coords = vector4(-783.65, 326.75, 217.04, 359.85)},
		   { coords = vector4(-785.0, 329.04, 217.04, 92.57)},
		   { coords = vector4(-783.74, 331.33, 217.04, 186.45)},
	   },
   },
   yatch = {
	   cameracoords = vector4(-1400.09, 6746.28, 9.97, 245.06), 
	   hiddencoords = vector3(-1471.03, 6769.2, 8.57),
	   peddeletecoords = vector3(-1430.62, 6759.26, 8.97),
	   pedpositions = {
		   { coords = vector4(-1394.86, 6743.79, 8.97, 59.23)},
		   { coords = vector4(-1396.76, 6742.9, 8.97, 47.55)},
		   { coords = vector4(-1395.23, 6745.96, 8.97, 296.91)},
	   },
   }, 
   casinopenthouse = {
	   cameracoords = vector4(972.27, 74.09, 116.90, 94.16), 
	   hiddencoords = vector3(979.11, 78.46, 116.16),
	   peddeletecoords = vector3(972.36, 74.65, 116.16),
	   pedpositions = {
		   { coords = vector4(965.94, 73.02, 116.18, 241.94)},
		   { coords = vector4(967.46, 71.27, 116.18, 338.38)},
		   { coords = vector4(967.8, 75.27, 116.18, 233.3)},
	   },
   },
}

-------------------------- LOCALES (DON'T TOUCH)

function _okok(id)
	if Locales[Config.Locale][id] then
		return Locales[Config.Locale][id]
	else
		print("The locale '"..id.."' doesn't exist!")
	end
end
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.okokscripts.io/scripts/okokmulticharacter/config-file.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
